class VersionControl{
	static versionUpdate(variables: TwineSugarCube.SugarCubeStoryVariables, toVersion:number = 0){
		let versionOfVariables:number = variables.version || 0;
		toVersion ||= Config.saves.version;

		console.log(`Updating from Version ${versionOfVariables}`);


		/*if(versionOfVariables < 201){
			variables.pc.personalityScaleInitialize('exhibitionism', variables.pc.pcs_inhib);
		}

		if(versionOfVariables < 202){
			variables.pc._appearanceHistory = [];
			variables.q._quests['mother_virgin'].certificateDeadline = new Date(0);
		}
		
		variables.modVars ??= {};*/

		variables.version = toVersion;
		
	}
}

setup.VersionControl = VersionControl;